UbixOS V2 2.0

Data Fields
sys_close_args Struct Reference

`#include <sysproto_posix.h>`

Collaboration diagram for sys_close_args:

## Data Fields
int | fd
char | fd_l_ [0]
char | fd_r_ [(sizeof(register_t)<=sizeof(int) ? 0 :sizeof(register_t) - sizeof(int))]

## Detailed Description

Definition at line 102 of file sysproto_posix.h.

## Field Documentation

## ◆ fd

int sys_close_args::fd

Definition at line 104 of file sysproto_posix.h.

Referenced by sys_close().

## ◆ fd_l_

char sys_close_args::fd_l_[0]

Definition at line 103 of file sysproto_posix.h.

## ◆ fd_r_

char sys_close_args::fd_r_[(sizeof(register_t)<=sizeof(int) ? 0 :sizeof(register_t) - sizeof(int))]

Definition at line 105 of file sysproto_posix.h.

The documentation for this struct was generated from the following file:

- C:/Dev/git/UbixOS/sys/include/sys/sysproto_posix.h